Description: Take over patches from parsnp to avoid internal copy there
 The package parsnp
   https://anonscm.debian.org/git/debian-med/parsnp.git
 contained a code copy of libMUSCLE with the only relevant changes
 that are gathered in this patch.  Since these enhancements seem to
 be valuable in general these are taken over here.
Author: Andreas Tille <tille@debian.org>
Last-Update: Wed, 20 Apr 2016 09:07:57 +0200

--- a/libMUSCLE/Makefile.am
+++ b/libMUSCLE/Makefile.am
@@ -1,5 +1,5 @@
 OPTIMIZATION = -O2 -funroll-loops -fomit-frame-pointer -ftree-vectorize 
-AM_CXXFLAGS = $(OPTIMIZATION) -DNDEBUG=1 @OPENMP_CXXFLAGS@
+AM_CXXFLAGS = $(OPTIMIZATION) -DNDEBUG=1 @OPENMP_CXXFLAGS@ -fopenmp
 AM_LDFLAGS = $(OPTIMIZATION)
 
 LIBMUSCLE_H = \
--- a/libMUSCLE/params.cpp
+++ b/libMUSCLE/params.cpp
@@ -114,7 +114,7 @@ TLS<bool> g_bPHYS(false);
 //TLS<int> g_scoreGapExtend(0);
 TLS<unsigned> g_uMaxIters(8);
 TLS<unsigned long> g_ulMaxSecs(0);
-TLS<unsigned> g_uMaxMB(500);
+TLS<unsigned> g_uMaxMB(16000);
 
 TLS<PPSCORE> g_PPScore(PPSCORE_LE);
 TLS<OBJSCORE> g_ObjScore(OBJSCORE_SPM);
--- a/libMUSCLE/threadstorage.h
+++ b/libMUSCLE/threadstorage.h
@@ -9,7 +9,7 @@
 //
 
 #ifdef _OPENMP
-#define MAX_THREAD_COUNT	16
+#define MAX_THREAD_COUNT	64
 #define OMP_GET_THREAD_NUM	omp_get_thread_num()
 #include <omp.h>
 #else
